<?php
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta.php' );
include($_SERVER['DOCUMENT_ROOT'].'/_configs/conecta2.php' );
?>
		<?php
                        $idCliente = $_SESSION["codigo"];
                        $idEmpresa = ("1");
                        $idData = 1;
                        $idDataParent = 1;

//			$queryFamilia = ("SELECT DISTINCT familia.codfamilia,desfamilia FROM DBA.familia,DBA.articulo where familia.codfamilia=articulo.codfamilia and familia.codfamilia <> 'AL' and familia.codfamilia <> 'XX'  and prod_in_fam > 0 ORDER BY desfamilia;");
//			$resultado = odbc_exec($conexion_mercafruit,$queryFamilia );



			echo "<div data-role='header' data-type='horizontal' data-position='fixed' data-theme='b'>
						<a href='javascript:limpiaOferta()' data-role='button' data-theme='c' title='Borrar' class='ui-btn ui-btn-icon-notext ui-icon-delete' ></a>
						<a href='javascript:confirmaOferta()' data-role='button' data-theme='c' title='Comprar' class='ui-btn ui-btn-icon-notext ui-icon-shop' ></a>
				</div>
				<div data-role='none'>";

			// comienza un bucle que leera todos los registros y ejecutara las ordenes que siguen
			
			/**********************************OFERTAS***********************************************/
                echo "<div data-role='collapsible' > ";
					echo "<h3>OFERTAS</h3>";
					echo "<table >" ;
					$idDataParent= $idData ;
					$idData++;
					$contengan=chr(209);
					//DETALLE
					$queryArtFam = ("SELECT merca_oferta.*, des_articu descart, cod_articu codart
												FROM merca_oferta ,fsarticu WHERE empresa = emp_articu AND codigoarticulo = cod_articu AND fecha = today ");
					$resArtFam = odbc_exec($conexion_resdis,$queryArtFam );
					while ($productosArtFam = odbc_fetch_array($resArtFam)) { 
						$queryArtFamM = ("SELECT DISTINCT catalogo.codart codart,catalogo.desccatalogo descart,catalogo.codref codref, catalogo.codcatalogo FROM DBA.articulo,DBA.catalogo where 
											CATALOGO.CODART  NOT LIKE '%".$contengan."%'  AND 
											catalogo.activo='S' AND articulo.codart = catalogo.codart AND codsubfam <> 'DE'  AND articulo.codart ='".$productosArtFam['codart']."' ORDER BY desccatalogo ;");
						$resArtFamM = odbc_exec($conexion_mercafruit,$queryArtFamM );
						while ($productosArtFamM = odbc_fetch_array($resArtFamM)) { 
							  echo "<tr>";
							   echo "<td id='descart' width='50%'>".$productosArtFamM['descart']."</td>";
							   echo "<td id='pvp' width='10%'>".$productosArtFam['pvp']."</td>";
							   echo "<td id='cantidad' width='10%'><input  type = 'number' value  id='v_".$productosArtFamM['codart']."|".$productosArtFamM['codref']."|".$productosArtFamM['codcatalogo']."'></td>";
							   echo "<td width='30%' >".$productosArtFam['observaciones']."</td>";
							   echo "</tr>";
						}
					
  				    odbc_free_result ($resArtFamM);					
					}
					odbc_free_result ($resArtFam);

					
					
					echo "</table>";
				echo "</div>";

				/**********************************OFERTAS***********************************************/
//F DETALLE 
                /**********************************SUGERENCIAS*******************************************/
				echo "<div data-role='collapsible' > ";
					echo "<h3>SUGERENCIAS</h3>";
					echo "<table >" ;
					$idDataParent= $idData ;
					$idData++;
					$contengan=chr(209);
					//DETALLE
					$queryArtFam = ("SELECT merca_sugerencias.*, des_articu descart, cod_articu codart
                                 FROM merca_sugerencias ,fsarticu WHERE empresa = emp_articu AND codigoarticulo = cod_articu AND fin > today ");
					$resArtFam = odbc_exec($conexion_resdis,$queryArtFam );
					while ($productosArtFam = odbc_fetch_array($resArtFam)) { 

						$queryArtFamM = ("SELECT DISTINCT catalogo.codart codart,catalogo.desccatalogo descart,catalogo.codref codref, catalogo.codcatalogo FROM DBA.articulo,DBA.catalogo where 
											CATALOGO.CODART  NOT LIKE '%".$contengan."%'  AND 
											catalogo.activo='S' AND articulo.codart = catalogo.codart AND codsubfam <> 'DE'  AND articulo.codart ='".$productosArtFam['codart']."' ORDER BY desccatalogo ;");
						$resArtFamM = odbc_exec($conexion_mercafruit,$queryArtFamM );
						while ($productosArtFamM = odbc_fetch_array($resArtFamM)) {									
 							echo "<tr style=\"background-color:#D6DBDF\">";
							   echo "<td id='descart' width='50%'>".$productosArtFam['descart']."</td>";
							   echo "<td id='pvp' width='10%'>".$productosArtFam['pvp']."</td>";
							   echo "<td id='cantidad' width='10%'><input  type = 'number' value  id='v_".$productosArtFamM['codart']."|".$productosArtFamM['codref']."|".$productosArtFamM['codcatalogo']."'></td>";
							   echo "<td width='30%' >".$productosArtFam['observaciones']."</td>";
							echo "</tr>";
						}
                    }
					odbc_free_result ($resArtFamM);
					odbc_free_result ($resArtFam);
					echo "</table>";
				echo "</div>";
				/**********************************SUGERENCIAS*******************************************/

			/*******************FIN ************/
                /**********************************TEMPORADA*******************************************/
				echo "<div data-role='collapsible' > ";
					echo "<h3>TEMPORADA</h3>";
					echo "<table >" ;
					$idDataParent= $idData ;
					$idData++;
					$contengan=chr(209);
					//DETALLE
					$queryArtFam = ("SELECT merca_temporada.*, des_articu descart,  cod_articu codart,ter_articu ampliada,ori_articu origen
                                 FROM merca_temporada ,fsarticu WHERE empresa = emp_articu AND codigoarticulo = cod_articu AND fin > today ORDER BY DES_ARTICU");
					$resArtFam = odbc_exec($conexion_resdis,$queryArtFam );
					while ($productosArtFam = odbc_fetch_array($resArtFam)) { 

						$queryArtFamM = ("SELECT DISTINCT catalogo.codart codart,catalogo.desccatalogo descart,catalogo.codref codref, catalogo.codcatalogo FROM DBA.articulo,DBA.catalogo where 
											CATALOGO.CODART  NOT LIKE '%".$contengan."%'  AND 
											catalogo.activo='S' AND articulo.codart = catalogo.codart AND codsubfam <> 'DE'  AND articulo.codart ='".$productosArtFam['codart']."' ORDER BY desccatalogo ;");
						$resArtFamM = odbc_exec($conexion_mercafruit,$queryArtFamM );
						while ($productosArtFamM = odbc_fetch_array($resArtFamM)) {									
 							echo "<tr style=\"background-color:#D6DBDF\">";
//							   echo "<td id='descart' width='50%'>".$productosArtFam['descart'].$productosArtFam['descart'].' Variedad: ' . $productosArtFam['ampliada'].'ORIGEN:'.$productosArtFam['origen']."</td>";
								echo "<td id='descart' style=\"font-size: 150%;\">".$productosArtFam['descart']."</td>";
							echo "</tr>";
						}
                    }
					odbc_free_result ($resArtFamM);
					odbc_free_result ($resArtFam);
					echo "</table>";
				echo "</div>";
				/**********************************SUGERENCIAS*******************************************/

			/*******************FIN ************/
            
							
			//cerramos la etiqueta tabla
echo "</div>";

		?>
